Thu. Sep 23rd, 2021
FutureRestore iOS Downgrade SEP and Baseband Compatibility Chart

If you want to downgrade your iOS device with FutureRestore, there are multiple components that need to be present and work fine before the downgrade process can succeed. At first, you would need to have your SHSH2 blobs saved prior to the iOS version getting unsigned, you need FutureRestore, and most importantly, SEP and Baseband need to be compatible from the latest version or a signed iOS version to the one you try to downgrade to.

How does SEP and Baseband compatibility work?

When you use FutureRestore to downgrade your iOS version, you combine components from two different IPSW files containing two separate iOS versions. Let’s say you wanna downgrade to iOS 14.3 from iOS 14.6. Assuming a kernel exploit exists that can enable you to set the Nonce Generator from inside the saved SHSH2 blobs, you will need to combine the following:

At this moment I am writing this, iOS 14.7.1 is the latest version, and iOS 14.7 is signed. I will be able to combine iOS 14.3 (the version I try to downgrade to) with either iOS 14.7 or iOS 14.7.1.




The reason we need to combine them is that we need a signed SEP and Baseband from a current version, and here’s where things can get tricky because the latest signed version may not always have a SEP and a Baseband compatible with the version you try to downgrade to.

In our example, the SEP and Baseband of iOS 14.7 are compatible with iOS 14.3 so the restore would proceed, but if you wanted to downgrade to iOS 13.7, the SEP and Baseband wouldn’t have been compatible so the restore would have failed.

How do I know if SEP and Baseband are compatible?

You need to research whether the SEP and Baseband of the current signed versions are compatible with the version you try to downgrade to before attempting to downgrade. Otherwise, the downgrade can fail and brick your device which will require you to update to the latest iOS version which may not be jailbreakable for months.

Below you can find our chart of compatible SEP and Baseband for FutureRestore downgrades!

SEP and Baseband Compatibility Chart

Latest signed iOS version for iPhone 6S and newer: iOS 14.7.1

Latest signed iOS version for iPhone 5S and iPhone 6: iOS 12.5.4

Last chart update: Today!

SEP and Baseband Compatibility (CTR + F and search for your model):

iOS 15 Beta

  • iOS 15 Beta 4’s SEP and Baseband are compatible and usable to downgrade an iOS 14 build! (where available)

iOS 14.0 -> 14.7.1 range

WARNING:  There may be issues with A12-A14 FutureRestore on versions older than v225 which are not SEP / BB compatibility related. Please use FutureRestore v225 (beta) or newer as it fixes the issues.

  • iPhone 12 / 12 Pro / 12 Pro Max / 12 mini – SEP & Baseband Compatible from iOS 14.7.1 down to iOS 14.0 (and everything in between). Multiple reports of FDR errors on A14 when using older FutureRestores like 222. Always use the latest beta version.
  • iPhone SE 2020 – SEP & Baseband Compatible from iOS 14.7.1 down to iOS 14.0 (and everything in between).
  • iPhone 11 / 11 Pro / 11 Pro Max SEP & Baseband Compatible from iOS 14.7.1 down to iOS 14.0 (and everything in between).
  • iPhone XS / XR / XS Max SEP & Baseband Compatible from iOS 14.7.1 down to iOS 14.0 (and everything in between).
  • iPhone X  SEP & Baseband Compatible from iOS 14.7.1 down to iOS 14.3 (and everything in between). iOS 14.0 -> 14.2 may fail.
  • iPhone 8 / 8 Plus  SEP & Baseband Compatible from iOS 14.7.1 down to iOS 14.3 (and everything in between). iOS 14.0 -> 14.2 may fail.
  • iPhone 7 / 7 Plus – SEP & Baseband Compatible from iOS 14.7.1 down to iOS 14.0 (and everything in between).
  • iPhone 6S / 6S Plus SEP & Baseband Compatible from iOS 14.7.1 down to iOS 14.0 (and everything in between).
  • iPhone SE – SEP & Baseband Compatible from iOS 14.7.1 down to iOS 14.0 (and everything in between).
  • iPod Touch 7th Generation – SEP is Compatible from iOS 14.7.1 down to iOS 14.0 (and everything in between). This device has no Baseband.

iOS 13.4 -> iOS 13.7 range:

  • iPhone SE 2020 (iOS 13.4.1 and up) SEP is compatible but Baseband is not compatible. Downgrade will fail.
  • iPhone 12 / 12 Pro / 12 Pro Max / 12 mini – SEP is compatible but Baseband is not compatible. Downgrade will fail.
  • iPhone SE 2020 – SEP is compatible but Baseband is not compatible. Downgrade will fail.
  • iPhone 11 / 11 Pro / 11 Pro Max SEP is compatible but Baseband is not compatible. Downgrade will fail.
  • iPhone XS / XR / XS Max SEP is compatible but Baseband is not compatible. Downgrade will fail.
  • iPhone X  SEP is compatible but Baseband is not compatible. Downgrade will fail.
  • iPhone 8 / 8 Plus  SEP is compatible but Baseband is not compatible. Downgrade will fail.
  • iPhone 7 / 7 Plus – SEP is compatible but Baseband is not compatible. Downgrade will fail.
  • iPhone 6S / 6S Plus SEP is compatible but Baseband is not compatible. Downgrade will fail.
  • iPhone SE – SEP is compatible but Baseband is not compatible. Downgrade will fail.
  • iPod Touch 7th Generation – SEP is compatible. Downgrade will fail.

iOS 13.0 -> iOS 13.3.1 range

  • iPhone 11 / 11 Pro / 11 Pro Max Neither SEP nor Baseband are compatible. Downgrade will 100% fail.
  • iPhone XS / XR / XS Max Neither SEP nor Baseband are compatible. Downgrade will 100% fail.
  • iPhone X  Neither SEP nor Baseband are compatible. Downgrade will 100% fail.
  • iPhone 8 / 8 Plus  Neither SEP nor Baseband are compatible. Downgrade will 100% fail.
  • iPhone 7 / 7 Plus – Neither SEP nor Baseband are compatible. Downgrade will 100% fail.
  • iPhone 6S / 6S Plus Neither SEP nor Baseband are compatible. Downgrade will 100% fail.
  • iPhone SE – Neither SEP nor Baseband are compatible. Downgrade will 100% fail.
  • iPod Touch 7th Generation – SEP is not compatible. There’s no baseband. Downgrade will 100% fail.

iOS 12.0 -> iOS 12.5.4 range

  • iPhone XS / XR / XS Max Neither SEP nor Baseband are compatible. Downgrade will 100% fail.
  • iPhone X  Neither SEP nor Baseband are compatible. Downgrade will 100% fail.
  • iPhone 8 / 8 Plus  Neither SEP nor Baseband are compatible. Downgrade will 100% fail.
  • iPhone 7 / 7 Plus – Neither SEP nor Baseband are compatible. Downgrade will 100% fail.
  • iPhone 6S / 6S Plus Neither SEP nor Baseband are compatible. Downgrade will 100% fail.
  • iPhone SE – Neither SEP nor Baseband are compatible. Downgrade will 100% fail.
  • iPod Touch 7th Generation – Neither SEP nor Baseband are compatible. Downgrade will 100% fail.
  • iPhone 6 / 6 Plus SEP & Baseband Compatible from iOS 12.5.4 down to iOS 12.0 (and everything in between).
  • iPhone 5S  SEP & Baseband Compatible from iOS 12.5.4 down to iOS 12.0 (and everything in between).
  • iPod Touch 6th Generation – SEP is Compatible from iOS 12.5.4 down to iOS 12.0 (and everything in between). This device has no Baseband.

iOS 11.3 -> 11.4.1 range

  • iPhone 6 / 6 Plus SEP & Baseband Compatible from iOS 12.5.4 down to iOS 11.3 (and everything in between).
  • iPhone 5S  SEP & Baseband Compatible from iOS 12.5.4 down to iOS 11.3 (and everything in between).
  • iPod Touch 6th Generation – SEP is Compatible from iOS 12.5.4 down to iOS 11.3 (and everything in between). This device has no Baseband.

iOS 11.0 -> 11.2.6 range

  • iPhone 6 / 6 Plus Neither SEP nor Baseband are compatible. Downgrade will 100% fail.
  • iPhone 5S  Neither SEP nor Baseband are compatible. Downgrade will 100% fail.
  • iPod Touch 6th Generation – SEP is not compatible. There’s no baseband. Downgrade will 100% fail.




By GeoSn0w

An iOS and Jailbreak enthusiast who has been around for quite some time in the community. I've developed my own jailbreaks before and I am currently maintaining iSecureOS, one of the first iOS Anti-Malware tools for jailbroken devices. I also run iDevice Central on YouTube with over 133.000 Subscribers! Thank you for being part of this awesome community.

Have comments? :-)